summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2016-01-09 17:30:32 +0100
committerIan Delaney <idella4@gentoo.org>2016-01-10 00:58:06 +0800
commit4ef6d98ae4f9e2e8b7e40ba543a221e60f23fefa (patch)
tree5b8f0645db694168a7d0e76e069553e31bb3887a
parentdev-perl/Curses: arm stable, bug #570374 (diff)
downloadgentoo-4ef6d98ae4f9e2e8b7e40ba543a221e60f23fefa.tar.gz
gentoo-4ef6d98ae4f9e2e8b7e40ba543a221e60f23fefa.tar.bz2
gentoo-4ef6d98ae4f9e2e8b7e40ba543a221e60f23fefa.zip
dev-db/sqlite: Version bump.
-rw-r--r--dev-db/sqlite/Manifest3
-rw-r--r--dev-db/sqlite/sqlite-3.10.0.ebuild239
2 files changed, 242 insertions, 0 deletions
diff --git a/dev-db/sqlite/Manifest b/dev-db/sqlite/Manifest
index 209520205e3..071b0ca31f9 100644
--- a/dev-db/sqlite/Manifest
+++ b/dev-db/sqlite/Manifest
@@ -4,13 +4,16 @@ DIST sqlite-autoconf-3081002.tar.gz 2049387 SHA256 8382e55a4e7d853c93038562ca3dd
DIST sqlite-autoconf-3081101.tar.gz 2101885 SHA256 fb99b0ac038c4a7e48b44b61836cb41d4eeba36b4d0ee757beeab59031a1d3b6 SHA512 b87e3a94462c26e875833c7f83dcc453146377a403d173169e2db7198bede2467f8c480645141da678e0fd3071764558f2dd2630086964431ead25ac43212ee6 WHIRLPOOL 2045496055b02151211080110dc8fc2c474337788704a0e4db8841a1928b82d6490afa682c8d8b1bb6b9e98808d7eabf0f763a41e4768b1c21629107895bb66b
DIST sqlite-autoconf-3090100.tar.gz 2284128 SHA256 d89d0e1d93deafebd0aa067d20d9029d9914ccde244920d9dd09ea51944e1c6c SHA512 6465c22afa68a44b7a6e739d242d2c921147fba11c92bb3a7d0bc5b6a58bd3f85d42a1e2710f60c18c5d82e4fc6f5651255f3aebd684e0fdc69dd099337182cb WHIRLPOOL dfab45f06ed4bcadc0f4b3ba414cff679d74e32459b63580d337c02ef2621b0dad6697d88a22066b7cb9b4ac681eadc95402e157cd78befc391481a50976032b
DIST sqlite-autoconf-3090200.tar.gz 2284431 SHA256 064c0abe9c9177534d4c770bca7a5902f9924b629ac886b4c08956be6dfbc36b SHA512 c4fdd7dee58e2e4c83091f2a98d8099c6403a66f566be46b54d465c5a58404555fdc1d08050ca60edb6366d220407cfc7409921c123915f78a04cd9930217fa7 WHIRLPOOL c57c3a3f9a7186606a8de0f562490d6c1db27204e9799f39313ea139fabb64bfc918243a20173119bc73776dbd42fc4c316590eb3a4c4334ef669a93be819adf
+DIST sqlite-autoconf-3100000.tar.gz 2331542 SHA256 43cc292d70711fa7580250c8a1cd7c64813a4a0a479dbd502cce5f10b5d91042 SHA512 0d34f511f386e841b60ca6354715e7196c2c3d47e0ae13f09b9ae8d0f95118104b2bd8e13697c4c97b994269c2b2e112841ab74e82a2a64c50243d8ec8d8f46e WHIRLPOOL 090ee131929573a71f3049ee9accf3e8df21dd9d6834e499baf0988cad6bd64f433ef5f05cdb0ba0a15254ced47d94591c913be5e15d0de76e4a41f391393d94
DIST sqlite-doc-3081001.zip 5060040 SHA256 0b6c186a2da8b7d7397eb3942e97fd85b88734beb300702ace0dca4a3db729a6 SHA512 76caf476c98d8a0f5da55c4608bfc31235289e3ab2286089195fab86da6b5d98b2d5eb0fe7b81e3aff8f04939c9bcbfded6be22f0eeb21103478bf519e9ff78b WHIRLPOOL 5edd1d06babf19d54e326f6262d45851d43a0907adad66b130c93cf63efbfadcad6dbc98330bd4d2f80d1d528cd9088ada0727475b42005de6bcdbc4914e5d7c
DIST sqlite-doc-3081002.zip 5068441 SHA256 e355ec10989829d485d2df08f076f6c3f598f7fc1d45d307b4fd70d5e609e6c4 SHA512 c222b250de6c8e182da1b534f459600a81b300c87578f9484b7d6f1fbbfaad9e8be70c306d0200b163850f48c974c55ce25782fefd55672ef72f03dc0b5f8d19 WHIRLPOOL 148bbce9bc3ffb1f9101e45936ce060aa49dbc88647effabf5418fa95ccdb91a4971d171d940de3307a2d59144e73250c43f8d8d79927ac36a1e02784f143061
DIST sqlite-doc-3081101.zip 5108061 SHA256 89e3fc4bce7463885da3b03602b4260fe07240f9ea674ba4ac7ce2ee4987357f SHA512 8a39e05b1647f4769126234b9759552138f3e3874bc008686ef2f9136833ddc30b3b0696222a736d604e8910a436acedc4954e46894f4adc085eb5f2b6ab9280 WHIRLPOOL f47308753f8df2c497e1bf3cd941b862d69d4f6bbabb2f0606d144966cbb186c5e1513022a5adc122939180fc6cfaa7c83a9537481cce455a83b7bf68deec9cd
DIST sqlite-doc-3090100.zip 5289099 SHA256 c8549a4261f74395496d1ebc4b7d36a51b2b3e57f36520d3c71052190a80ccb9 SHA512 f6d8248a6740b50a5c3cb5ab34bd3011adcec882066c203afd3da906e162a44019af4ffe485651e3ef6679610480f78e566bde46dbf2f15bf9577fcdfeec65f2 WHIRLPOOL e61ed3fba3cfd2865c2e79b3c87451f52c20037f453c90d20366317fedc8fcfb337be7d4424044171dd5bf793271bd926e9eb0ae7cfbbf7dc36cf33116f708d8
DIST sqlite-doc-3090200.zip 5295693 SHA256 4b9ecb9d2b0424ca2a288184ee36fa16a11033400638117dd7c669ad2d39177c SHA512 aef3b340613eed376dca491fd25b98ced30b69454b24412cb094854c53496bddfb479293634b46f1c793377981d4094c38a6b9c3e67775b471407c4d8cc21435 WHIRLPOOL bf0a660a5fb88c50d71beb12b07cb1eb269d564817d9aaef0a5903d114af8d9d74c803346ca00dea9ac6c76a722a3d305c6303c1220cd712162325c916174cfe
+DIST sqlite-doc-3100000.zip 5350213 SHA256 40af646d8c2109e5a15b1787e53524ed16c8e0d1705dda5f005b6186f18c2f2a SHA512 b04846e180d71c0bd3f76399f68df352ba663939a141fb1368f0099cfefb22e290ce1f5cf69eeb63a9136097c463ff9446670629f5b0662e5a230691c36e20c8 WHIRLPOOL 36802a6cb26b4f53945fcd79e5f665c0b9607ce8207fd647ac2735fb30fdba0419c0ecdfc946f74bd237fe646857bbb01a93c1e5135bd6aa13827c691d69c888
DIST sqlite-src-3081001.zip 7648823 SHA256 def6e2401c8da91b489de19d1a1734f722b4e629148ab804776d27b49ba49e7b SHA512 7604ac35eddd4aca53c02b0ab7ae7682856aec2eb4e6a9627da041ea19d464bb6080a70d84070a94abf77eb14ae616a0a8c5fe2f2a6c19fc899d1b21535d3e1a WHIRLPOOL c44e4f446d12af1f4df49e171276d853381784e979d3521cafbfdd5b5359c792586d298f3573bbda8a260b9008a4b7fcdc4ce0382fdda18574287018a2cb4f4c
DIST sqlite-src-3081002.zip 7648737 SHA256 fda379bc4590761838d02ac8008433b7c3eae6e120e45d639d24b09d0004b42d SHA512 99661c709ffe8d5776c3ed2c1a64c70f541b68f0c7745e3e769528273966f71eeb29e8911d42ede9420f179b7fcbda63c4d0980a9d7bc05e937d0a6deb7b814f WHIRLPOOL 4e13138a5f92f5c5fe65c8b670097b57ea778244a37a5bcabf75f86f4ac3f0bc17860f3e55833adc9adcc335b6aece396c685421b58ccb0ddca66f37edfda7fc
DIST sqlite-src-3081101.zip 9057103 SHA256 261ad454663f66fda6101b278bb7b3931cf01884deefbf4ea6b152f83a624662 SHA512 e84048a4a7f9c51219698b59d45c0c533ffe46ba6a20b96ca40f8066fd3825f80f963283d61dc22b2eb5bbca35db3ed4a6e13b1ab3c8b70b0af83469d2760f16 WHIRLPOOL c1add1e5a269546883e58c1666b8acdc58b16b6ad37ea546c99c8ece3348196d5ba33effb17fc773f4d49b1ee45583de7fec3fbe2f6d48e95fdfe4a802c6a824
DIST sqlite-src-3090100.zip 9283333 SHA256 9a572415375d709d347c316b36c59a91818314422ef0314873a8c915e7e46204 SHA512 9f8b14f7978efc293c267cb4ef260cf83fcd0c91a6e45c0d3a1dae2fdcb998a41a2661ce0655e5295ce487501680b69dcec20712608ce8735c1bc4054362a3cc WHIRLPOOL 2e83bab66bcad91e492fd9bf2a7b4a23cbc6d5ec581c9a5e7774a68501cf36e723f72c160a6bd995191052cc9823240e64fcd8bb5a768c429380c0257792559f
DIST sqlite-src-3090200.zip 9284007 SHA256 d0899e14797ded1e3cfdd7280c8fb485a07c64f44559df1d0290937997c4451d SHA512 59dad1a6e6ac68b93a158b66758a529cbc1d3c0225746f5dd9acb79274e55c440be483b7796ba6da8686f448594dc13238f5e4f1a8fbedb9baf12ad9169d79f8 WHIRLPOOL cbde5d16b7540e1b1fb4c78d8c8fb978f65d022bab5e5c2448f5d81c003be19cd1905fa3108b7a8a50531755d3825e75405d42245381e6b1d61cc85b9c8b7434
+DIST sqlite-src-3100000.zip 9222423 SHA256 7dd893f5569f0aa2fdd4f463f1f4ee670cff3f493d880d5e365c72fcdd777566 SHA512 70f09a41e516a8152e5e3b08e4e2e2e54dbe2976c89c4dfca08efbf2124dd3f73ef1d3b49742e03ea92fb99061c1ac67e0d7ad6d327c194faec0f48a1550264e WHIRLPOOL 7ffa03e617c7d53eeccacb178f4fece689e4bf7bbdee07ab532e93fa018a977a9604ae967ca6aa325606ee69ed77a4c2e7fbb24fe1800dc94b91f84f18f6a446
diff --git a/dev-db/sqlite/sqlite-3.10.0.ebuild b/dev-db/sqlite/sqlite-3.10.0.ebuild
new file mode 100644
index 00000000000..af7620d8ee9
--- /dev/null
+++ b/dev-db/sqlite/sqlite-3.10.0.ebuild
@@ -0,0 +1,239 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools eutils flag-o-matic multilib multilib-minimal toolchain-funcs versionator
+
+SRC_PV="$(printf "%u%02u%02u%02u" $(get_version_components))"
+DOC_PV="${SRC_PV}"
+# DOC_PV="$(printf "%u%02u%02u00" $(get_version_components $(get_version_component_range 1-3)))"
+
+DESCRIPTION="A SQL Database Engine in a C Library"
+HOMEPAGE="http://sqlite.org/"
+SRC_URI="doc? ( http://sqlite.org/2016/${PN}-doc-${DOC_PV}.zip )
+ tcl? ( http://sqlite.org/2016/${PN}-src-${SRC_PV}.zip )
+ test? ( http://sqlite.org/2016/${PN}-src-${SRC_PV}.zip )
+ tools? ( http://sqlite.org/2016/${PN}-src-${SRC_PV}.zip )
+ !tcl? ( !test? ( !tools? ( http://sqlite.org/2016/${PN}-autoconf-${SRC_PV}.tar.gz ) ) )"
+
+LICENSE="public-domain"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug doc icu +readline secure-delete static-libs tcl test tools"
+
+RDEPEND="icu? ( dev-libs/icu:0=[${MULTILIB_USEDEP}] )
+ readline? ( sys-libs/readline:0=[${MULTILIB_USEDEP}] )
+ tcl? ( dev-lang/tcl:0=[${MULTILIB_USEDEP}] )
+ tools? ( dev-lang/tcl:0=[${MULTILIB_USEDEP}] )
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20131008-r14
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ )"
+DEPEND="${RDEPEND}
+ doc? ( app-arch/unzip )
+ tcl? ( app-arch/unzip )
+ test? (
+ app-arch/unzip
+ dev-lang/tcl:0[${MULTILIB_USEDEP}]
+ )
+ tools? ( app-arch/unzip )"
+
+full_tarball() {
+ use tcl || use test || use tools
+}
+
+pkg_setup() {
+ if full_tarball; then
+ S="${WORKDIR}/${PN}-src-${SRC_PV}"
+ else
+ S="${WORKDIR}/${PN}-autoconf-${SRC_PV}"
+ fi
+}
+
+src_prepare() {
+ if full_tarball; then
+ epatch "${FILESDIR}/${PN}-3.8.1-src-dlopen_check.patch"
+
+ # Increase timeout for fuzzcheck from 120 s to 3600 s.
+ # (iTimeout in test/fuzzcheck.c:main)
+ sed -e "/\.\/fuzzcheck\$(TEXE)/s/\$(FUZZDATA)/--timeout 3600 &/" -i Makefile.in || die "sed failed"
+
+ # Fix shell1-5.0 test.
+ # http://mailinglists.sqlite.org/cgi-bin/mailman/private/sqlite-dev/2015-May/002575.html
+ sed -e "/if {\$i==0x0D /s/\$i==0x0D /&|| (\$i>=0xE0 \&\& \$i<=0xEF) /" -i test/shell1.test
+
+ # Fix vtabH-2.0.2.2 and vtabH-2.0.3.2 tests.
+ # http://mailinglists.sqlite.org/cgi-bin/mailman/private/sqlite-dev/2016-January/002722.html
+ # http://sqlite.org/src/info/19c1f4483e3df7fa
+ sed -e "s/\(db func [^ ]\+\) \([^ ]\+\)/\1 -argcount 2 \2/" -i test/vtabH.test
+ else
+ epatch "${FILESDIR}/${PN}-3.8.1-autoconf-dlopen_check.patch"
+ fi
+
+ eautoreconf
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local CPPFLAGS="${CPPFLAGS}" options=()
+
+ options+=(
+ --enable-$(full_tarball && echo load-extension || echo dynamic-extensions)
+ --enable-threadsafe
+ )
+ if ! full_tarball; then
+ options+=(--disable-static-shell)
+ fi
+
+ # Support detection of misuse of SQLite API.
+ # http://sqlite.org/compile.html#enable_api_armor
+ append-cppflags -DSQLITE_ENABLE_API_ARMOR
+
+ # Support column metadata functions.
+ # http://sqlite.org/c3ref/column_database_name.html
+ append-cppflags -DSQLITE_ENABLE_COLUMN_METADATA
+
+ # Support dbstat virtual table.
+ # http://sqlite.org/dbstat.html
+ append-cppflags -DSQLITE_ENABLE_DBSTAT_VTAB
+
+ # Support Full-Text Search versions 3, 4 and 5.
+ # http://sqlite.org/fts3.html
+ # http://sqlite.org/fts5.html
+ append-cppflags -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_FTS3_PARENTHESIS -DSQLITE_ENABLE_FTS4
+ options+=(--enable-fts5)
+
+ # Support hidden columns.
+ append-cppflags -DSQLITE_ENABLE_HIDDEN_COLUMNS
+
+ # Support JSON1 extension.
+ # http://sqlite.org/json1.html
+ append-cppflags -DSQLITE_ENABLE_JSON1
+
+ # Support Resumable Bulk Update extension.
+ # http://sqlite.org/rbu.html
+ append-cppflags -DSQLITE_ENABLE_RBU
+
+ # Support R*Trees.
+ # http://sqlite.org/rtree.html
+ append-cppflags -DSQLITE_ENABLE_RTREE
+
+ # Support scan status functions.
+ # http://sqlite.org/c3ref/stmt_scanstatus.html
+ # http://sqlite.org/c3ref/stmt_scanstatus_reset.html
+ append-cppflags -DSQLITE_ENABLE_STMT_SCANSTATUS
+
+ # Support unlock notification.
+ # http://sqlite.org/unlock_notify.html
+ append-cppflags -DSQLITE_ENABLE_UNLOCK_NOTIFY
+
+ # Support soundex() function.
+ # http://sqlite.org/lang_corefunc.html#soundex
+ append-cppflags -DSQLITE_SOUNDEX
+
+ # debug USE flag.
+ if full_tarball; then
+ options+=($(use_enable debug))
+ else
+ if use debug; then
+ append-cppflags -DSQLITE_DEBUG
+ else
+ append-cppflags -DNDEBUG
+ fi
+ fi
+
+ # icu USE flag.
+ if use icu; then
+ # Support ICU extension.
+ # http://sqlite.org/compile.html#enable_icu
+ append-cppflags -DSQLITE_ENABLE_ICU
+ if full_tarball; then
+ sed -e "s/^TLIBS = @LIBS@/& -licui18n -licuuc/" -i Makefile.in || die "sed failed"
+ else
+ sed -e "s/^LIBS = @LIBS@/& -licui18n -licuuc/" -i Makefile.in || die "sed failed"
+ fi
+ fi
+
+ # readline USE flag.
+ options+=(
+ --disable-editline
+ $(use_enable readline)
+ )
+ if full_tarball && use readline; then
+ options+=(--with-readline-inc="-I${EPREFIX}/usr/include/readline")
+ fi
+
+ # secure-delete USE flag.
+ if use secure-delete; then
+ # Enable secure_delete pragma by default.
+ # http://sqlite.org/pragma.html#pragma_secure_delete
+ append-cppflags -DSQLITE_SECURE_DELETE
+ fi
+
+ # static-libs USE flag.
+ options+=($(use_enable static-libs static))
+
+ # tcl, test, tools USE flags.
+ if full_tarball; then
+ options+=(--enable-tcl)
+ fi
+
+ if [[ "${CHOST}" == *-mint* ]]; then
+ append-cppflags -DSQLITE_OMIT_WAL
+ fi
+
+ # Use pread(), pread64(), pwrite(), pwrite64() functions for better performance if they are available.
+ if $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -Werror=implicit-function-declaration -x c - -o "${T}/pread_pwrite_test" <<< $'#include <unistd.h>\nint main()\n{\n pread(0, NULL, 0, 0);\n pwrite(0, NULL, 0, 0);\n return 0;\n}' &> /dev/null; then
+ append-cppflags -DUSE_PREAD
+ fi
+ if $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -Werror=implicit-function-declaration -x c - -o "${T}/pread64_pwrite64_test" <<< $'#include <unistd.h>\nint main()\n{\n pread64(0, NULL, 0, 0);\n pwrite64(0, NULL, 0, 0);\n return 0;\n}' &> /dev/null; then
+ append-cppflags -DUSE_PREAD64
+ elif $(tc-getCC) ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -D_LARGEFILE64_SOURCE -Werror=implicit-function-declaration -x c - -o "${T}/pread64_pwrite64_test" <<< $'#include <unistd.h>\nint main()\n{\n pread64(0, NULL, 0, 0);\n pwrite64(0, NULL, 0, 0);\n return 0;\n}' &> /dev/null; then
+ append-cppflags -DUSE_PREAD64 -D_LARGEFILE64_SOURCE
+ fi
+
+ econf "${options[@]}"
+}
+
+multilib_src_compile() {
+ emake HAVE_TCL="$(usex tcl 1 "")" TCLLIBDIR="${EPREFIX}/usr/$(get_libdir)/${P}"
+
+ if use tools && multilib_is_native_abi; then
+ emake showdb showjournal showstat4 showwal sqldiff sqlite3_analyzer
+ fi
+}
+
+multilib_src_test() {
+ if [[ "${EUID}" -eq 0 ]]; then
+ ewarn "Skipping tests due to root permissions"
+ return
+ fi
+
+ emake HAVE_TCL="$(usex tcl 1 "")" $(use debug && echo fulltest || echo test)
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" HAVE_TCL="$(usex tcl 1 "")" TCLLIBDIR="${EPREFIX}/usr/$(get_libdir)/${P}" install
+
+ if use tools && multilib_is_native_abi; then
+ newbin showdb sqlite3-show-db
+ newbin showjournal sqlite3-show-journal
+ newbin showstat4 sqlite3-show-stat4
+ newbin showwal sqlite3-show-wal
+ newbin sqldiff sqlite3-diff
+ newbin sqlite3_analyzer sqlite3-analyzer
+ fi
+}
+
+multilib_src_install_all() {
+ prune_libtool_files
+
+ doman sqlite3.1
+
+ if use doc; then
+ dohtml -A ico,odf,odg,pdf,svg -r "${WORKDIR}/${PN}-doc-${DOC_PV}/"
+ fi
+}